Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.remoting
Class Version

    java.lang.Object
      org.jboss.remoting.Version

    public class Version

extends java.lang.Object

Author:
  Tom Elrod

Field Summary
`static java.lang.String` | `PRE_2_0_COMPATIBLE`
`static java.lang.String` | `REMOTING_VERSION_TO_USE`
`static java.lang.String` | `VERSION`
`static byte` | `VERSION_1`
`static byte` | `VERSION_2`
`static byte` | `VERSION_2_2`

Constructor Summary
`Version()`

Method Summary
`static int` | `getDefaultVersion()`
`static void` | `main(java.lang.String[] arg)`
`static boolean` | `performVersioning()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VERSION_1

    public static final byte VERSION_1

See Also:
  Constant Field Values

### VERSION_2

    public static final byte VERSION_2

See Also:
  Constant Field Values

### VERSION_2_2

    public static final byte VERSION_2_2

See Also:
  Constant Field Values

### VERSION

    public static final java.lang.String VERSION

See Also:
  Constant Field Values

### PRE_2_0_COMPATIBLE

    public static final java.lang.String PRE_2_0_COMPATIBLE

See Also:
  Constant Field Values

### REMOTING_VERSION_TO_USE

    public static final java.lang.String REMOTING_VERSION_TO_USE

See Also:
  Constant Field Values

Constructor Detail

### Version

    public Version()

Method Detail

### main

    public static void main(java.lang.String[] arg)

### getDefaultVersion

    public static int getDefaultVersion()

### performVersioning

    public static boolean performVersioning()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 1998-2005 JBoss Inc . All Rights Reserved.